#!/bin/sh
module="DSMPESER4MDriver"
device="DSMPESER4MDriver"
mode="664"

# Group: since distributions do it differently, look for wheel or use staff
if grep '^staff:' /etc/group > /dev/null; then
    group="staff"
else
    group="wheel"
fi

# invoke insmod with all arguments we got
# and use a pathname, as newer modutils don't look in . by default
#/sbin/insmod -f ./$module.ko $* || exit 1
/sbin/insmod ./$module.ko $* || exit 1

major=`cat /proc/devices | awk "\\$2==\"$module\" {print \\$1}"`

# Remove stale nodes and replace them, then give gid and perms
# Usually the script is shorter, it's simple that has several devices in it.

rm -f /dev/ttyXR0
mknod /dev/ttyXR0 c 112 0
chgrp $group /dev/ttyXR0
chmod $mode  /dev/ttyXR0
